SoBlinker(3)

NAME
SoBlinker - The SoBlinker class is a cycling switch node.

SYNOPSIS

#include <Inventor/nodes/SoBlinker.h>

Inherits SoSwitch.

  Public Member Functions
virtual SoType getTypeId (void) const
SoBlinker (void)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void write (SoWriteAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFFloat speed
SoSFBool on

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoBlinker ()
virtual void notify (SoNotList *nl)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoBlinker class is a cycling switch node. This switch node cycles its children SoBlinker::speed number of times per second. If the node has only one child, it will be cycled on and off. Cycling can be turned off using the SoBlinker::on field, and the node then behaves like a normal SoSwitch node.

FILE FORMAT/DEFAULTS:

Blinker {
    whichChild -1
    speed 1
    on TRUE
}

Constructor & Destructor Documentation

  SoBlinker::SoBlinker (void)
Constructor.

  SoBlinker::~SoBlinker () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoBlinker::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoBlinker::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoSwitch.

  const SoFieldData ** SoBlinker::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoBlinker::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoSwitch.

  void SoBlinker::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoSwitch.

  void SoBlinker::write (SoWriteAction * action) [virtual]
Action method for SoWriteAction.

Writes out a node object, and any connected nodes, engines etc, if necessary.

Reimplemented from SoSwitch.

  void SoBlinker::notify (SoNotList * l) [protected], [virtual]
Notifies all auditors for this instance when changes are made.

Reimplemented from SoSwitch.

Member Data Documentation

  SoSFFloat SoBlinker::speed
Number of cycles per second.

  SoSFBool SoBlinker::on
Controls whether cycling is on or off.

Author

Generated automatically by Doxygen for Coin from the source code.